Skip to content

Legacy Endpoints

This page documents legacy v1.0 API endpoints. For new integrations, use the v1.1 paginated endpoints instead.

Authorized users can retrieve a list of all packages sent by a Team that they belong to, subject to the MASV access policy.

MethodRoute
GET/v1/teams/{team_id}/packages
NameTypeRequiredDescription
X-API-KEYStringYesAPI key
Content-TypeStringYesMust be application/json
NameTypeRequiredDescription
expiredBooleanNoInclude expired packages. Default: true
finalizedBooleanNoInclude finalized packages. Default: true
newBooleanNoInclude new packages. Default: false
archivedBooleanNoInclude archived packages. Default: false
NameTypeRequiredDescription
team_idStringYesThe Team ID returned during auth request
Terminal window
curl -H "X-API-KEY: $API_KEY" \
-H "Content-Type: application/json" \
-X GET https://api.massive.app/v1/teams/$TEAM_ID/packages

After a successful request, this endpoint returns 200 OK with an array of package objects.

[
{
"access_token": "xxxxxxxxxxxxxxxxx",
"created_at": "2020-10-30T17:37:00.998Z",
"custom_expiry": true,
"expiry": "2022-11-21T17:37:00.998Z",
"id": "01ENX9B1J68NT9Y4QHXD7T0X6S",
"name": "test",
"description": "Lorem ipsum dolor sit amet",
"contains_virus": true,
"tag": {
"id": "01ENX9B1JBH8A9Y4QHXD7T0X6S",
"name": "example tag name"
},
"sender": "[email protected]",
"state": "new",
"teamspace_id": "01H6D3W6RM3VBKWE25AJ5ZD2X8",
"updated_at": "2020-10-30T13:37:00.999Z"
}
]
PropertyDescription
access_tokenAuth token required to interact with the package
statePackage state: new, finalized, expired, or archived
contains_virusWhether a virus was detected in the package
tagTag name and ID (only included if the package has a tag)
linksList of download links created for this package
teamspace_idID of the Teamspace the package is bound to (empty if not attached)

Authorized users can list Portals under their Team(s), subject to the access policy.

MethodRoute
GET/v1/teams/{team_id}/portals
NameTypeRequiredDescription
X-API-KEYStringYesAPI key
NameTypeRequiredDescription
team_idStringYesThe Team ID
Terminal window
curl -H "X-API-KEY: $API_KEY" \
-X GET https://api.massive.app/v1/teams/$TEAM_ID/portals

After a successful request, this endpoint returns 200 OK with an array of Portal objects.

Authorized users can list packages uploaded to any Portal under their Team(s), subject to the access policy.

MethodRoute
GET/v1/portals/{portal_id}/packages
NameTypeRequiredDescription
X-API-KEYStringYesAPI key
NameTypeRequiredDescription
expiredBooleanNoInclude expired packages
finalizedBooleanNoInclude finalized packages
newBooleanNoInclude new packages
archivedBooleanNoInclude archived packages
NameTypeRequiredDescription
portal_idStringYesThe Portal ID to get packages from
Terminal window
curl -H "X-API-KEY: $API_KEY" \
-X GET https://api.massive.app/v1/portals/$PORTAL_ID/packages?expired=1&finalized=1&new=0

After a successful request, this endpoint returns 200 OK with an array of package objects.